Bug 1649693 (CVE-2018-8416) - CVE-2018-8416 .NET Core: Arbitrary file and directory creation
Summary: CVE-2018-8416 .NET Core: Arbitrary file and directory creation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-8416
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1649694 1650145
Blocks: 1649695
TreeView+ depends on / blocked
 
Reported: 2018-11-14 09:15 UTC by Andrej Nemec
Modified: 2021-02-16 22:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:42:41 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3676 0 None None None 2018-11-27 04:30:50 UTC

Description Andrej Nemec 2018-11-14 09:15:41 UTC
A tampering vulnerability exists when .NET Core improperly handles specially crafted files. An attacker who successfully exploited this vulnerability could write arbitrary files and directories to certain locations on a vulnerable system. However, an attacker would have limited control over the destination of the files and directories.

External References:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-8416

Comment 2 Andrej Nemec 2018-11-14 16:11:25 UTC
Upstream pull request:

https://github.com/dotnet/corefx/pull/32127

Comment 10 errata-xmlrpc 2018-11-27 04:30:46 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2018:3676 https://access.redhat.com/errata/RHSA-2018:3676


Note You need to log in before you can comment on or make changes to this bug.